package kr.co.vividnext.sodalive.explorer.profile.creator_community

import java.util.TimeZone

class CreatorCommunityRepository(private val api: CreatorCommunityApi) {
    fun getCommunityPostList(
        creatorId: Long,
        page: Int,
        size: Int,
        token: String
    ) = api.getCommunityPostList(
        creatorId = creatorId,
        page = page - 1,
        size = size,
        timezone = TimeZone.getDefault().id,
        authHeader = token
    )

    fun getLatestPostListFromCreatorsYouFollow(
        token: String
    ) = api.getLatestPostListFromCreatorsYouFollow(
        timezone = TimeZone.getDefault().id,
        authHeader = token
    )
}
